<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.suspectPerson.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload">
                <i class="fa fa-upload" aria-hidden="true"></i><span class="label-uploaded">Browse</span>           
                <input type="file" (change)="onFileChange($event)" multiple="false" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" hidden/>
            </label>

        <p-dataTable [value]="suspectPersonUpload">
            <p-header>
                <div class="row"></div>
            </p-header>
            <p-column header="{{'mpmApp.suspectPerson.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.name'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.person.firstName}} {{rowData.person.lastName}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.noKTP'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.person.personalIdNumber}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.noHP'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.person.cellPhone1}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.address1'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.person.postalAddress.address1}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.address2'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.person.postalAddress.address2}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.village'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.person.postalAddress.villageName}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.district'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.person.postalAddress.districtName}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.city'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.person.postalAddress.cityName}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.datePurchase'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.salesDate != null">
                        {{rowData.salesDate | date:'dd-MM-yyyy'}}
                    </div>
                    <div *ngIf="rowData.salesDate == null">
                        Format Tanggal Salah
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.marketName'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.marketName}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.suspectPerson.job'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.person.workTypeDescription}}
                    </div>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
        </div>
    
        <p-footer>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
        </p-footer>
    </p-panel>

    <p-dialog [(visible)]="invalidFormat" closable="true" [responsive]="true" width="720" modal="true">
        <p-header>
            Notifikasi
        </p-header>
    
        <div class="row">
            <div class="col-md-12"> File yang anda upload tidak sesuai format yang ditentukan</div>
        </div>
    
        <p-footer></p-footer>
    </p-dialog>

    <p-dialog [closable]="false" class="hidden-label-dialog" [(visible)]="isCompleted" [responsive]="true" width="420" modal="true">
        <div class="row">
            <div class="ui-lg-12">
                <label> {{ summaryMessage }}</label>
            </div>
            <div class="ui-lg-12">
                <button pButton type="button" label="OK" (click)="backToPreviousState()" icon="fa-times" class="pull-right"></button>      
            </div>
        </div>
    </p-dialog>
</form>

